---
title: HTMLElement.offsetParent
slug: Web/API/HTMLElement/offsetParent
tags:
  - API
  - CSSOM View
  - NeedsMarkupWork
  - Property
  - Reference
---
<p>{{ APIRef("HTML DOM") }}</p>

<p>The <strong><code>HTMLElement.offsetParent</code></strong> read-only property returns a reference to the element which is the closest (nearest in the containment hierarchy) positioned ancestor element. If there is no positioned ancestor element, the nearest ancestor <code>td</code>, <code>th</code>, <code>table</code> will be returned, or the <code>body</code> if there are no ancestor table elements either.</p>

<div class="notecard note">
<p><strong>NOTE: </strong></p>

<p><strong><code>offsetParent</code> returns <code>null</code> in the following situations:</strong></p>

<ul>
 <li>The element or its parent element has the <code>display</code> property set to <code>none</code>.</li>
 <li>The element has the <code>position</code> property set to <code>fixed</code> (firefox returns <code>&lt;body&gt;</code>).</li>
 <li>The element is <code>&lt;body&gt;</code> or <code>&lt;html&gt;</code>.</li>
</ul>
</div>

<p><code>offsetParent</code> is useful because {{domxref("HTMLElement.offsetTop","offsetTop")}} and {{domxref("HTMLElement.offsetLeft","offsetLeft")}} are relative to its padding edge.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>parentObj</var> = <var>element</var>.offsetParent;
</pre>

<ul>
 <li><var>parentObj</var> is an object reference to the element in which the current element is offset.</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM View', '#dom-htmlelement-offsetparent', 'offsetParent')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLElement.offsetParent")}}</p>
